#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n,m;
    cin>>n>>m;
    long long sreca[n];
    for(int i=0;i<n;i++)
    {
        cin>>sreca[i];
    }
    long long poznanstva1[m];
    long long poznanstva2[m];
    for(long long i=0;i<m;i++)
    {
        cin>>poznanstva1[i]>>poznanstva2[i];
    }
    long long brojac=0;
    for(long long i=0;i<m;i++)
    {
        if(sreca[poznanstva1[i]-1]>=0 && sreca[poznanstva2[i]-1]>=0)
        {
            brojac=brojac+sreca[poznanstva1[i]-1];
            brojac=brojac+sreca[poznanstva2[i]-1];
        }
        else
        {
            long long negativ=min(sreca[poznanstva1[i]-1],sreca[poznanstva2[i]-1]);
            long long pozitiv=max(sreca[poznanstva1[i]-1],sreca[poznanstva2[i]-1]);
            if(abs(negativ)>pozitiv)
            {
                brojac=brojac-negativ;
                brojac=brojac-pozitiv;
            }
            else
            {
                brojac=brojac+negativ;
                brojac=brojac+pozitiv;
            }
        }
    }
    cout<<brojac;
    return 0;
}